SuSE 10 Security Update : OpenOffice_org (ZYPP Patch Number 6883)

High Nessus Plugin ID 51684

Synopsis

The remote SuSE 10 host is missing a security-related patch.

Description

This update of OpenOffice_org includes fixes for the following vulnerabilities :

- XML signature weakness CVE-2009-2949: XPM Import Integer Overflow CVE-2009-2950: GIF Import Heap Overflow CVE-2009-3301: MS Word sprmTDefTable Memory Corruption CVE-2009-3302: MS Word sprmTDefTable Memory Corruption CVE-2010-0136: In the ooo-build variant of OpenOffice_org VBA Macro support does not honor Macro security settings. (CVE-2009-0217)

This also provides the maintenance update to OpenOffice.org-3.2.

Solution

Apply ZYPP patch number 6883.

See Also

http://support.novell.com/security/cve/CVE-2009-0217.html

http://support.novell.com/security/cve/CVE-2009-2949.html

http://support.novell.com/security/cve/CVE-2009-2950.html

http://support.novell.com/security/cve/CVE-2009-3301.html

http://support.novell.com/security/cve/CVE-2009-3302.html

http://support.novell.com/security/cve/CVE-2010-0136.html

Plugin Details

Severity: High

ID: 51684

File Name: suse_OpenOffice_org-6883.nasl

Version: 1.10

Type: local

Agent: unix

Published: 2011/01/27

Updated: 2019/10/25

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 9.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/02/25

Exploitable With

Core Impact

Reference Information

CVE: CVE-2009-0217, CVE-2009-2949, CVE-2009-2950, CVE-2009-3301, CVE-2009-3302, CVE-2010-0136

CWE: 94, 119, 189